# Generated by Django 3.2.6 on 2022-03-14 15:28

from django.db import migrations

LANGUAGES = (
    "nl",
    "en",
)
PKG = "smartwater"

FIELDS = (
    ("Collect", "title"),
    ("Collect", "description"),
    ("Collect", "main_question"),
    ("Collect", "short_description"),
    ("Question", "title"),
    ("Question", "description"),
    ("Choice", "title"),
    ("Choice", "description"),
    ("Community", "title"),
    ("Community", "description"),
    ("Community", "short_description"),
)


def forward(apps, schema_editor):
    for mod_name, field_name in FIELDS:
        new_field_name = "{}_intl".format(field_name)
        Model = apps.get_model(PKG, mod_name)
        for instance in Model.objects.all():
            text_fr = getattr(instance, field_name, None)
            if text_fr is not None:
                data = dict(fr=text_fr)
                for code in LANGUAGES:
                    data[code] = f"!!!! NOT TRANSLATED !!!!\n\n{text_fr}"
                setattr(instance, new_field_name, data)
                instance.save()


def reverse(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ("smartwater", "0005_auto_20220314_1526"),
    ]

    operations = [migrations.RunPython(forward, reverse)]
